import Vue from 'vue'
import Router from 'vue-router'
import ViewUI from 'view-design'
import 'view-design/dist/styles/iview.css'

import Page404 from '@/components/Page404.vue'
import Main from '@/components/Main.vue'


Vue.use(ViewUI)
import XLSX from 'xlsx'
Vue.use(XLSX)

import ajax from '@/utils/ajax'
Vue.prototype.$ajax = ajax
Vue.config.productionTip = false

Vue.use(Router)

export default new Router({
  routes: [
    {
      path: '/',
      name: 'Main',
      component: Main,
      meta: { title: 'PyTorch Boot Project' }
    },
    {
      path: '*',
      name: 'Page404',
      component: Page404,
      meta: { title: 'PyTorch Boot Project' }
    }
  ]
})